# 统计功能类图

```mermaid
classDiagram
    class GxtRepairOrderController {
        +selectHomePageData()
    }
    
    class IGxtRepairOrderService {
        <<interface>>
        +selectHomePageData()
    }
    
    class GxtRepairOrderServiceImpl {
        +selectHomePageData()
        -getSort(List~GxtUserScore~, Long)
        -getJXY(Long)
    }
    
    class GxtRepairOrderMapper {
        <<interface>>
        +selectHomePageData(Long, String)
        +selectHomePageRank(GxtUserScore)
    }
    
    class GxtOrderData {
        -Long userId
        -Integer workOrderNum
        -Integer workOrderNumLast
        -Integer repairOrderNum
        -Integer repairOrderNumLast
        -BigDecimal wxgs
        -BigDecimal wxgsLast
        -BigDecimal wbgs
        -BigDecimal wbgsLast
        -BigDecimal score
        -BigDecimal scoreLast
        -List~GxtUserScore~ scoreCompany
        -List~GxtUserScore~ scoreDept
        -List~GxtUserScore~ scoreCenter
    }
    
    class GxtUserScore {
        -Long id
        -String userName
        -String monthPeriod
        -BigDecimal finalScore
        -Long userId
        -Long deptId
        -String deptName
        -Long centerId
        -String center
        -String companyName
    }
    
    GxtRepairOrderController --> IGxtRepairOrderService
    IGxtRepairOrderService <|.. GxtRepairOrderServiceImpl
    GxtRepairOrderServiceImpl --> GxtRepairOrderMapper
    GxtRepairOrderServiceImpl --> GxtOrderData
    GxtRepairOrderServiceImpl --> GxtUserScore
    GxtRepairOrderMapper --> GxtOrderData
    GxtRepairOrderMapper --> GxtUserScore
```
